List Deployments
curl --request GET \
--url https://api.example.com/v2/deploymentsimport requests
url = "https://api.example.com/v2/deployments"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v2/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resources": [
{
"source": "github",
"source_config": {
"integration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repo_url": "<string>",
"deployment_type": "dev_free",
"build_on_push": true,
"custom_url": "<string>",
"resource_spec": {
"min_scale": 123,
"max_scale": 123,
"cpu": 0.1,
"cpu_limit": 0.2,
"memory_mb": 123,
"memory_limit_mb": 123,
"queue_min_scale": 123,
"queue_max_scale": 123,
"queue_cpu": 0.1,
"queue_cpu_limit": 0.2,
"queue_memory_mb": 123,
"queue_memory_limit_mb": 123,
"redis_cpu": 0.1,
"redis_cpu_limit": 0.2,
"redis_memory_mb": 123,
"redis_memory_limit_mb": 123,
"core_cpu": 1.1,
"core_cpu_limit": 1.1,
"core_memory_mb": 123,
"core_memory_limit_mb": 123,
"labels": {},
"annotations": {},
"service_account_name": "<string>",
"image_pull_secrets": [
{
"name": "<string>"
}
],
"volumes": [
{
"name": "<string>",
"configMap": {},
"secret": {},
"emptyDir": {},
"persistentVolumeClaim": {},
"nfs": {},
"projected": {},
"downwardAPI": {},
"csi": {}
}
],
"volume_mounts": [
{
"name": "<string>",
"mountPath": "<string>",
"subPath": "<string>",
"mountPropagation": "<string>",
"readOnly": true,
"subPathExpr": "<string>"
}
],
"init_containers": [
{
"name": "<string>",
"image": "<string>",
"imagePullPolicy": "<string>",
"command": [
"<string>"
],
"args": [
"<string>"
],
"workingDir": "<string>",
"env": [
{
"name": "<string>",
"value": "<string>",
"valueFrom": {}
}
],
"envFrom": [
{}
],
"resources": {
"limits": {},
"requests": {}
},
"volumeMounts": [
{
"name": "<string>",
"mountPath": "<string>",
"subPath": "<string>",
"mountPropagation": "<string>",
"readOnly": true,
"subPathExpr": "<string>"
}
],
"securityContext": {},
"restartPolicy": "<string>"
}
],
"sidecars": [
{
"name": "<string>",
"image": "<string>",
"imagePullPolicy": "<string>",
"command": [
"<string>"
],
"args": [
"<string>"
],
"workingDir": "<string>",
"env": [
{
"name": "<string>",
"value": "<string>",
"valueFrom": {}
}
],
"envFrom": [
{}
],
"resources": {
"limits": {},
"requests": {}
},
"volumeMounts": [
{
"name": "<string>",
"mountPath": "<string>",
"subPath": "<string>",
"mountPropagation": "<string>",
"readOnly": true,
"subPathExpr": "<string>"
}
],
"securityContext": {},
"restartPolicy": "<string>"
}
],
"db_cpu": 123,
"db_cpu_limit": 123,
"db_memory_mb": 123,
"db_memory_limit_mb": 123,
"db_storage_gi": 123,
"db_max_connections": 123
},
"listener_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"listener_config": {
"k8s_namespace": "<string>"
},
"install_command": "<string>",
"build_command": "<string>",
"repo_branch": "<string>"
},
"source_revision_config": {
"repo_ref": "<string>",
"langgraph_config_path": "<string>",
"image_uri": "<string>",
"source_tarball_path": "<string>",
"repo_commit_sha": "<string>"
},
"secrets": [
{
"name": "<string>",
"value": "<string>"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "AWAITING_DATABASE",
"latest_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"active_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"agent": {
"agent_id": "<string>",
"environment": "local"
},
"secret_references": [
{
"name": "<string>",
"secret_name": "<string>",
"secret_key": "<string>"
}
],
"shareable": false,
"route_through_gateway": false,
"tracer_session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"is_preview": false,
"image_version": "<string>",
"display_name": "<string>",
"is_managed_deep_agent": false,
"deployment_tier": "SERVERLESS_S",
"compute_tier": "SERVERLESS_S",
"database_tier": "SERVERLESS_S"
}
],
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}List Deployments
List all deployments.
GET
/
v2
/
deployments
List Deployments
Query Parameters
Maximum number of resources to return.
Required range:
1 <= x <= 100Pagination offset. Pass this value to subsequent requests to fetch the next page of resources.
Required range:
x >= 0Name of the deployment to filter by.
Exact deployment name to filter by.
status of the deployment to filter by.
Flag to filter by remote reconciled deployments.
Comma separated list of tag value IDs of the deployment to filter by.
Image version to filter by.
Deployment type to filter by.
Available options:
dev_free, dev, prod, dev_zero, dev_free_zero Comma separated list of deployment IDs to filter by.
Serving URL of the deployment to filter by.
Exact agent ID (slug) to filter by. Requires agent mode.
Required string length:
1 - 255Agent environment to filter by. Requires agent mode.
Available options:
local, development, staging, production Was this page helpful?

